/* Landscape phones and portrait tablets */
@media (max-width: 767px) {

  .build-yours .step-pre {
    min-width: 0;
  }

  .build-yours .start .cus-h1 {
    font-size: 28px;
    line-height: 1.0;
  }

  .build-yours .start i {
    font-size: 28px;
  }

  .build-yours .start .cus-cell .sub-2 {
    font-size: 18px;
  }

  .build-yours .step-pre .title {
    font-size: 28px;
  }

  .build-yours-overview-modal-content .content {
    min-width: 0;
  }

  /*Step1*/
  .build-yours .full-height {
    height: 70%;
  }

  .build-yours .step-content {
    bottom: 0;
    z-index: 99;
  }

  .build-yours .step-footer-pre {
    bottom: 0;
    left: 0;
  }

  /*Step2*/

  div.border-right-item {
    border-right: unset;
    height: 20px;
  }

  .build-yours .step2 .interior .control-style-colour.style-colour {
    top: 60px;
    position: unset;
  }

  /*Step3*/
  .build-yours .step3 .right-part {
    padding-right: unset;
  }

  .build-yours .step3 .slick-prev {
    left: 0;
  }

  .build-yours .step3 .slick-next {
    right: 0;
  }

  .build-yours .step3 .slick-prev:before {
    color: black;
  }
  

  /*Step4*/
  .build-yours .step4 .right-part .content-limit {
    max-height: calc(100vh - 0px);
  }

  /*Step5*/
  /*Step6*/
  .build-yours .step6 .div-control {
    width: 600px;
  }

  .build-yours-summary .block-build {
    padding: 15px 10px;
  }
}

/* Portrait phones and smaller */
@media (max-width: 480px) {

  .build-yours {
    position: relative;
    width: 100%;
    height: 100%;
    min-height: 768px;
    overflow-x: hidden;
  }

  .build-yours.step-1 {
    min-height: auto;
  }

  .build-yours.step-3 {
    min-height: auto;
  }

  .build-yours.step-4 {
    min-height: auto;
  }

  .build-yours.step-5 {
    min-height: auto;
  }

  .build-yours.step-6 {
    background-color: #ffffff;
    color: #030303;
  }

  .promo-modal-content {
    width: 100% !important;
  }

  .promo-modal-content .content {
    width: auto;
  }

  .build-yours .start {
    margin: 0;
    height: 100%;
  }

  .build-yours .start .block-title {
    width: 100%;
  }

  .build-yours .start .block-title .cus-h5,
  .build-yours .step-pre .block-title .cus-h5,
  .build-yours .step1 .block-title .cus-h5,
  .build-yours .step2 .block-title .cus-h5,
  .build-yours .step3 .block-title .cus-h5,
  .build-yours .step4 .block-title .cus-h5,
  .build-yours .step5 .block-title .cus-h5,
  .build-yours .step6 .block-title .cus-h5 {
    letter-spacing: 5px;
    font-size: 12px;
  }

  .build-yours .start .block-title .child-title span {
    font-size: 16px;
  }

  .build-yours .box-item-car .img-car {
    padding: 30px;
  }

  .build-yours-overview-modal-content .information-content .box.box-3 {
    height: 550px;
  }

  .build-yours-summary .information-content .box.box-3 {
    height: auto;
  }

  .build-yours .step-pre .right-part .border-right {
    border-right: 0;
    min-height: 0;
  }

  .build-yours .btn-next {
    position: relative;
    text-align: center;
    min-width: 0;
    right: 0;
    padding: 10px 5px;
    width: auto;
  }

  .build-yours .quick-view-btn {
    position: relative;
    background-color: #FFFFFF;
    border: solid 2px black;
    color: black;
    min-width: 0;
    padding: 10px 5px;
    width: auto;
  }

  .build-yours-summary .btn-next {
    position: relative;
    text-align: center;
    min-width: 0;
    right: 0;
    padding: 10px 5px;
    width: auto;
  }

  .build-yours-summary .quick-view-btn {
    position: relative;
    background-color: #FFFFFF;
    border: solid 2px black;
    color: black;
    min-width: 0;
    padding: 10px 5px;
    width: auto;
  }

  .build-yours .start .btn-start {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    right: 0;
    width: 95%;
  }

  .build-yours .step-pre {
    min-width: 0;
    height: fit-content;
  }

  .build-yours .start .block-title .cus-h1,
  .build-yours .step-pre .block-title .cus-h1,
  .build-yours .step1 .block-title .cus-h1,
  .build-yours .step2 .block-title .cus-h1,
  .build-yours .step3 .block-title .cus-h1,
  .build-yours .step4 .block-title .cus-h1,
  .build-yours .step5 .block-title .cus-h1,
  .build-yours .step6 .block-title .cus-h1 {
    font-size: 24px;
    line-height: 1;
  }

  .build-yours .start i {
    font-size: 28px;
  }

  .build-yours .start .cus-cell .sub-2 {
    font-size: 18px;
  }

  .build-yours .step-pre .title {
    font-size: 28px;
  }

  .build-yours-overview-modal-content .content {
    min-width: 0;
  }

  /*Step1*/
  .build-yours .full-height {
    height: 100%;
  }

  .build-yours .step1 {
    position: relative;
    margin: 0;
    padding: 0;
  }

  .build-yours .step1 .content-item {
    padding-bottom: 0;
  }

  .build-yours .step1 .item .img-item {
    padding: 0;
    height: auto;
  }

  .build-yours .step1 .item .desc {
    padding: 0;
    text-align: left;
    background-color: #e6e6e6;
  }

  .build-yours .step1 .block-img {
    background-color: #e6e6e6;
    padding: 0 5px;
  }

  .build-yours .step1 .item .content, .build-yours .step1 .item .content {
    background: #e6e6e6;
  }

  .build-yours .step1 .item.active .content, .build-yours .step1 .item:hover .content {
    background: #e6e6e6;
  }

  .build-yours .step-footer .left-menu {
    display: inline-flex;
  }

  .build-yours .page .right-part {
    width: 100vw;
    min-width: 0;
  }

  .build-yours .page .right-part .block-title .cus-h5 {
    margin-bottom: 10px;
  }

  .build-yours .page .right-part .row {
    margin: 0;
  }

  .build-yours .page .right-part .row .col-xs-12 {
    padding: 0 5px;
  }

  .build-yours .step-pre .right-part {
    position: relative;
    padding-top: 60px;
  }

  .build-yours .step-pre .right-part.scroll-down {
    top: 0;
  }

  .build-yours .step2 .exterior .control-type {
    position: relative;
    bottom: 0;
    margin-top: 30px;
  }

  .build-yours .step1 .item {
    margin: 30px 0;
  }

  .build-yours .step1 .right-part {
    position: relative;
    margin: 30px 0 90px 0;
    padding: 30px 0;
  }

  .build-yours .step2 .exterior {
    position: relative;
    margin: 30px 0 90px 0;
    padding: 30px 0;
  }

  .build-yours .step-content {
    bottom: 0;
  }

  .build-yours .step-footer-pre {
    right: 10px;
    bottom: 10px;
  }

  /*Step2*/

  .build-yours.step-2.interior {
    background: #ffffff;
  }

  .build-yours .step2 .drag-360-content .control ul {
    display: inline-block;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
  }

  .build-yours .step2 .drag-360-content .control ul > li {
    display: inline-block;
  }

  .build-yours .step2 .slick-dots li button:before,
  .build-yours .step3 .content-item .slick-dots li button:before {
    color: black !important;
    opacity: 1 !important;
    font-size: 8px !important;
  }

  .build-yours .step2 .slick-dots li.slick-active button:before,
  .build-yours .step3 .content-item .slick-dots li.slick-active button:before {
    color: #D0021B !important;
    font-size: 14px !important;
  }

  .build-yours .step3 .category .slick-dots li button:before {
    color: white !important;
    opacity: 1 !important;
    font-size: 8px !important;
  }

  .build-yours .step3 .category .slick-dots li.slick-active button:before {
    color: #D0021B !important;
    font-size: 14px !important;
  }

  .build-yours .step2 .drag-360-content .control {
    position: absolute;
    bottom: 0;
    text-align: center;
    width: 100%;
    padding: 0;
  }

  .build-yours .step2 .drag-360-content .drag-content img {
    padding-left: 0;
    width: 100%;
  }

  .build-yours .step2 .interior-content,
  .build-yours .step2 .drag-360-content .drag-content .threesixty {
    height: auto;
    min-height: 250px;
  }

  .build-yours .step2 .drag-360-content {
    background-color: #ffffff;
    padding-bottom: 0;
    padding-top: 0;
  }

  .build-yours .step2 .interior-content .control ul.slick-dots {
    bottom: -40px;
  }

  .build-yours .step2 .drag-360-content .content-txt {
    top: 100%;
    left: 0;
  }

  .build-yours .step2 .interior .right-part .content-item {
    position: relative;
  }

  .build-yours .step2 .interior .control-type {
    position: absolute;
    bottom: 0;
  }

  .build-yours .step2 .interior .control-style-colour {
    position: absolute;
    bottom: -90px;
    width: 100vw;
  }

  .build-yours .step2 .interior-content .control-style-colour img {
    width: 100%;
    height: 55px;
    cursor: pointer;
  }

  .build-yours .step2 .interior-content .control-style-colour .item {
    margin: 0 10px;
  }

  div.border-right-item {
    border-right: 0;
    height: 0;
  }

  .build-yours .step2 .interior .control-style-colour.style-colour {
    margin-left: 0;
  }

  /*Step3*/
  .build-yours .step-content {
    padding-top: 25px;
  }

  .build-yours.step-3 {
    position: relative;
    width: 100%;
    height: 100%;
    min-height: 768px;
    overflow-x: hidden;
  }

  .build-yours .step3 {
    position: relative;
    margin: 0;
    padding: 0;
  }

  .build-yours .step3 .slick-prev {
    left: 0;
  }

  .build-yours .step3 .slick-next {
    right: 0;
  }

  /*.build-yours .step3 .content-item .slick-dots {
    bottom: -60px;
  }*/

  .build-yours .step3 .category .slick-dots {
    bottom: -20px;
  }

  .build-yours .step3 .slick-prev:before {
    color: black;
  }

  .build-yours .step3 .category .item-cat {
    border-right: unset;
  }

  .build-yours .step3 .right-part {
    position: relative;
    margin: 30px 0 135px 0;
    padding: 30px 0;
  }

  .build-yours .step3 .nav-step {
    background-color: unset;
    height: unset;
    left: unset;
    opacity: unset;
    position: unset;
    top: unset;
    transition-delay: unset;
    transition: unset;
    width: unset;
  }

  .build-yours .step3 .right-part .slick-slider .slick-next {
    right: 0;
    width: 100px;
  }

  .build-yours .step3 .right-part .slick-slider .slick-prev {
    left: 0;
    width: 100px;
  }

  .build-yours .step3 .content-item {
    padding-top: 30px;
  }

  .build-yours .step3 .category {
    bottom: 75px;
    padding: 0;
  }

  .build-yours .step3 .item {
    height: 350px;
  }

  .build-yours .step3 .view-btn {
    border-top: solid 1px #ebebeb;
  }

  /*Step4*/
  .build-yours .step4 {
    position: relative;
    margin: 30px 0 90px 0;
    padding: 30px 0;
  }

  .build-yours .step4 .right-part .content-limit {
    max-height: calc(100vh - 100px);
  }

  .build-yours .step4 .right-part {
    position: relative;
    padding: 0;
  }

  .build-yours .step4 .right-part .content-item .box-item .over-div img {
    top: 60%;
  }

  .build-yours .step4 .right-part .content-item .box-item .item {
    padding-left: 5px;
    padding-right: 5px;
  }

  .build-yours .step4 .right-part .content-item .box-item .read-more {
    padding: 20px 30px;
  }

  /*Step5*/
  .build-yours .page .child-middle {
    top: 60%;
  }

  .build-yours .step5 {
    position: relative;
    margin: 30px 0 135px 0;
    padding: 30px 0;
  }

  .build-yours .step5 .control-type {
    font-size: 10px;
    bottom: 75px;
  }

  .build-yours .step5 .right-part.warranty {
    position: relative;
    width: 100vw;
  }

  .build-yours .step5 .right-part.servicing {
    position: relative;
    padding-left: 0;
    padding-right: 0;
  }

  .build-yours .step5 .right-part .content-item .box-item {
    margin-top: 15px;
  }

  .build-yours .step5 .right-part .content-item .box-item .item {
    padding-left: 5px;
    padding-right: 5px;
  }

  .build-yours .step5 .right-part .content-item .box-item .read-more {
    padding: 20px 30px;
  }

  .build-yours .step5 .right-part .content-item .box-item .item-warranty .no-item {
    left: 50%;
    transform: translateX(-50%);
  }

  /*Step6*/
  .build-yours .step6 {
    position: relative;
    margin: 30px 0 90px 0;
    padding: 30px 0;
  }

  .build-yours .step6 .div-control {
    width: 350px;
  }

  .build-yours .step6 .line-center {
    border-top: 1px solid #ccc;
    margin: 30px 15px;
  }

  .build-yours .step6 .right-part {
    position: relative;
    margin: 0;
  }

  .build-yours .step6 .div-control .item {
    margin-top: 30px;
  }

  .build-yours .step6 .right-part .row .col-xs-12 {
    padding: 15px 5px;
  }

  .build-yours .step6 .div-control.top-up {
    left: 0;
  }

  .build-yours .step6 .content-item {
    padding-top: 0;
    padding-bottom: 0;
  }

  .build-yours .step6 .interest .title {
    opacity: 1;
  }

  .build-yours .step6 .box-enable,
  .build-yours .step6 .box-disable {
    color: #030303;
  }

  .build-yours .step6 .box-enable .box-item {
    height: 65px;
    width: auto;
    border: solid 3px #999999;
    border-bottom: solid 3px #030303;
  }

  .build-yours .step6 .box-disable .box-item {
    height: 65px;
    width: auto;
    border: solid 3px #9E9E9E;
    background: #cccccc;
    color: black;
  }


  .build-yours .step-footer {
    top: 0;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    z-index: 99;
    width: 100%;
    padding: 10px;
    text-align: center;
  }

  .build-yours .step-footer .step-item {
    width: 40px;
    height: 40px;
    border: solid 2px #ff0000;
    opacity: 1;
    font-weight: bolder;
  }

  .build-yours-summary .block-build span {
    padding: unset;
    font-size: 24px;
  }

  .build-yours .build-your-footer {
    z-index: 100;
    height: 75px;
  }

  .build-yours-summary .build-your-footer {
    z-index: 100;
    height: 75px;
  }

  .build-yours .build-your-footer .block-btn,
  .build-yours-summary .build-your-footer .block-btn {
    text-align: right;
    padding: 0 5px 0 0;
  }

  .build-yours .step2 .drag-360-content .drag-content {
    z-index: 0;
    padding: 60px 0;
  }

  .build-yours .interior .block-title {
    position: relative;
    background: #ffffff;
  }

  .build-yours .step3 .box-item-car {
    transition: opacity .9s, transform 3s cubic-bezier(.25, .46, .45, .94);
    padding-left: 15px;
    padding-right: 15px;
  }

  .build-yours .step1 .box-item-car {
    transition: opacity .9s, transform 3s cubic-bezier(.25, .46, .45, .94);
    padding-left: 15px;
    padding-right: 15px;
    margin-bottom: 0;
  }

  .build-yours-basic-info-modal .trim-data-wrapper .trim-data {
    height: auto;
    display: block;
    padding: 10px 0;
  }

  .build-yours-basic-info-modal .trim-data-wrapper .divider {
    height: 25px !important;
    transform: unset;
    display: none;
  }

  .build-yours .step4 .right-part .content-item .box-item {
    margin-top: 15px;
  }

  .build-yours .step5 .right-part .content-item .box-item.warranty .main {
    padding: 10px 5px;
    max-height: 240px;
    overflow-y: scroll;
  }

  .build-yours .back-to {
    margin-bottom: 30px;
    font-size: 10px;
    color: black !important;
  }

  .build-yours-summary .back-to {
    font-size: 10px;
  }

  .build-yours .interior .back-to {
    color: #030303 !important;
  }

  .build-yours-summary {
    padding-top: 75px;
  }

  /*START: modal */

  .wrap .close {
    display: block;
    position: absolute;
    top: 5px;
    right: 5px;
    font-size: 30px;
    cursor: pointer;
    opacity: 1;
    z-index: 99;
  }

  .wrap .header-modal {
    display: flex;
    align-items: center;
    height: 50px;
  }

  .wrap .header-modal .detail-title {
    position: absolute;
    left: 10px;
    font-weight: 700;
    font-size: 18px;
  }

  .wrap .header-modal .close-modal {
    position: absolute;
    right: 10px;
  }

  .wrap .header-modal .close-modal img {
    height: 22px;
  }

  .build-yours-modal .img-close {
    width: 30px !important;
    height: auto !important;
  }

  .build-yours-modal .desc-item {
    background: #f5f5f5;
    height: 48% !important;
  }

  .build-yours-modal .desc-item .block {
    padding: 15px 30px 30px 30px;
    top: 15px;
    transform: unset;
  }

  .accessory-modal .build-yours-modal .desc-item .block {
    padding: 15px 30px 30px 30px;
    top: 15px;
    transform: unset;
  }

  .accessory-modal .build-yours-modal .desc-item {
    background: #f5f5f5;
    height: 35% !important;
  }

  .build-yours-modal .img-item {
    height: 40%;
    position: relative;
  }

  .btn-add {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: 30px;
    width: 90%;
  }

  .btn-add.disable{
    pointer-events: none;
    background: #999999;
    color: #000000;
  }

  .build-yours .text-note {
    font-size: 12px;
    padding: 0 5px;
  }

  /*END: modal */
}

@media (max-width: 320px) {
  .build-yours .step2 .control-type {
    left: 95px;
    bottom: 5%;
  }

  .build-yours .step2 .exterior .right-part {
    height: unset;
    width: unset;
    margin-top: 150px;
  }

  .build-yours .step2 .drag-360-content .content-txt {
    top: 85%;
    left: 0;
  }

  .build-yours .step2 .step-footer.black {
    padding-top: 20%;
  }

  .build-yours .step3 .right-part {
    padding-right: unset;
  }

  .build-yours .page .right-part {
    top: 280px;
  }

  .build-yours .step-footer-pre {
    bottom: 0;
  }

  .build-yours .step-footer.black {
    background: white;
    padding-top: 55%;
  }

  .build-yours .page .child-middle {
    top: 70%;
  }

  .build-yours .step6 .div-control {
    width: 300px;
  }

  .build-yours .step6 .slider {
    margin-top: unset;
  }

  .build-yours .step6 .right-part {
    padding-right: unset;
  }
}